## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# not all test dependencies are included in RHEL: filelock, pytest-mock
%bcond tests %{undefined rhel}
# uv has many build dependencies which are not included in RHEL;
# virtualenv is not included in RHEL
%bcond extras %{undefined rhel}

%global pypi_name build

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        %autorelease
Summary:        A simple, correct PEP517 package builder

License:        MIT
URL:            https://github.com/pypa/build
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

# downstream-only
Patch:          0001-fedora-disable-some-build-requirements.patch
# https://github.com/pypa/build/pull/911
Patch:          0002-tests-optional-virtualenv.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros >= 0-41

%description
A simple, correct PEP517 package builder.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A simple, correct PEP517 package builder.


%if %{with extras}
%pyproject_extras_subpkg -n python3-%{pypi_name} virtualenv uv
%endif


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x test} %{?with_extras:-x virtualenv,uv}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
%if %{with tests}
# Upstream has integration tests that can be run with the --run-integration
# flag, but currently that only includes one network test and one test that is
# xfail when flit-core is installed (which it will be during our package
# build), so including that flag doesn't run any additional tests.
%pytest -v -m "not network"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pyproject-build

%changelog
## START: Generated by rpmautospec
* Mon Jul 21 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 1.2.2-5
- Avoid unwanted dependencies in RHEL builds

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.2.2-4
- Rebuilt for Python 3.14

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.2.2-3
- Bootstrap for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 09 2024 Lumir Balhar <lbalhar@redhat.com> - 1.2.2-1
- Update to 1.2.2 (rhbz#2310530)

* Fri Aug 30 2024 Carl George <carlwgeorge@fedoraproject.org> - 1.2.1-6
- Reduce build requirements

* Fri Aug 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.1-5
- Add a metapackage for the uv extra

* Thu Aug 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.1-4
- Enable tests that require uv

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.2.1-2
- Rebuilt for Python 3.13

* Thu Mar 28 2024 Lumir Balhar <lbalhar@redhat.com> - 1.2.1-1
- Update to 1.2.1 (rhbz#2271978)

* Sun Mar 17 2024 Charalampos Stratakis <cstratak@redhat.com> - 1.1.1-1
- Update to 1.1.1
- Resolves: rhbz#2267099

* Tue Jan 23 2024 Karolina Surma <ksurma@redhat.com> - 1.0.3-3
- Fix build with setuptools v69.0.3+

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Oct 05 2023 Lumir Balhar <lbalhar@redhat.com> - 1.0.3-1
- Update to 1.0.3 (rhbz#2236861)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.10.0-7
- Rebuilt for Python 3.12

* Thu Jun 15 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.10.0-6
- Avoid fatal DeprecationWarnings on Python 3.12+

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.10.0-5
- Rebuilt for Python 3.12

* Tue Jun 06 2023 Miro Hrončok <miro@hroncok.cz> - 0.10.0-4
- Do not BuildRequire pytest-cov, it is discouraged and was not needed

* Thu Mar 16 2023 Lumir Balhar <lbalhar@redhat.com> - 0.10.0-3
- Use upstream patch to fix tests instead of sed

* Wed Mar 15 2023 Lumir Balhar <lbalhar@redhat.com> - 0.10.0-2
- Fix FTBFS by hotfixing tests

* Fri Jan 20 2023 Lumir Balhar <lbalhar@redhat.com> - 0.10.0-1
- Update to 0.10.0 (rhbz#2160265)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 16 2023 Miro Hrončok <mhroncok@redhat.com> - 0.9.0-2
- Drop redundant BuildRequries for deprecated python3-toml
- https://fedoraproject.org/wiki/Changes/DeprecatePythonToml

* Sun Oct 30 2022 Lumír Balhar <lbalhar@redhat.com> - 0.9.0-1
- Update to 0.9.0
Resolves: rhbz#2138145

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.8.0-3
- Rebuilt for Python 3.11

* Tue May 24 2022 Miro Hrončok <mhroncok@redhat.com> - 0.8.0-2
- Package the build[virtualenv] extra

* Mon May 23 2022 Lumír Balhar <lbalhar@redhat.com> - 0.8.0-1
- Update to 0.8.0
Resolves: rhbz#2089034

* Fri Mar 18 2022 Miro Hrončok <mhroncok@redhat.com> - 0.7.0-3
- Fix virtualenv creation by using the "venv" sysconfig installation scheme
- Resolves: rhbz#2059268

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 20 2021 Lumír Balhar <lbalhar@redhat.com> - 0.7.0-1
- Update to 0.7.0
Resolves: rhbz#2005146

* Wed Aug 04 2021 Lumír Balhar <lbalhar@redhat.com> - 0.6.0-1
- Update to 0.6.0
Resolves: rhbz#1989297

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 24 2021 Lumír Balhar <lbalhar@redhat.com> - 0.5.1-1
- Initial package.

## END: Generated by rpmautospec
